#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
%define		sname		%(echo %{name} | cut -d '-' -f2-)
#-----------------------------------------------------------------------------
Name		:	perl-File-ShareDir-Install
Version		:	0.13
Release		:	14.8.0.0%{?dist}
Summary		:	Install shared files	

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/distribution/Crypt-MatrixSSL3/script/ct-submit.pl

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
'%{name}' allows you to install read-only data
files from a distribution. It is a companion module
to File::ShareDir, which allows you to locate these
files after installation.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README
%license LICENSE
%{_datadir}/perl5/core_perl/File/ShareDir/Install.pm
%{_mandir}/man3/*.3.gz

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build
%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)

%{__perl}							\
	Makefile.PL					\
	INSTALLDIRS=perl				\

%{__make}						\
	%{_smp_mflags}					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	PERL_INSTALL_ROOT=%{buildroot}			\
	install

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*

#-----------------------------------------------------------------------------
%changelog
